INSERT INTO arquivos (CODIGO_ARQUIVO, DATA_PROC, CODIGO_FUNDO, CODIGO_TIPO_MOV, CONTADOR_MENSAGENS, TOTAL_MENSAGENS) 
SELECT '123', '2021-09-22', '46399', 'A', 14, 50
WHERE NOT EXISTS (
    SELECT * FROM arquivos WHERE CONTADOR_MENSAGENS = 14
)
